Subject: bug#23567: find-function-search-for-symbol of find-func.el leaves point moved but should not

From: Robert Weiner <[email-masked]>
Date: Tue, 17 May 2016 15:51:40 -0400

find-function-search-for-symbol in find-func.el is called for its
return value and not for side-effects but presently it moves point
around in the buffers it affects.  It needs some save-excursion
protection.  This is true for the most recent 25.1 release I looked at
and I don't think any changes have been made to it since then.

One example of where this causes a problem is in xref-location-marker
of elisp-mode.el.  Again, that is called simply to return the marker
but because it calls find-function-search-for-symbol, it can move
point and cause other problems.

It would be best if someone familiar with this first function made the
change to ensure it is correct.